# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

DESCRIPTION="ZFS module for dracut"
HOMEPAGE="https://dracut.wiki.kernel.org/index.php/Main_Page"
SRC_URI="https://github.com/zfsonlinux/zfs/archive/zfs-${PV}.tar.gz"
S="${WORKDIR}/zfs-zfs-${PV}/contrib/dracut"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="sys-kernel/dracut"
RDEPEND="${DEPEND}"

src_configure() { :; }
src_compile() { :; }

function conf() {
   sed -e 's,@bindir\@,/usr/bin,g' \
       -e 's,@sbindir\@,/sbin/,g' \
       -e 's,@udevdir\@,/lib/udev,g' \
       -e 's,@udevruledir\@,/lib/udev/rules.d,g' \
       -e 's,@sysconfdir\@,/etc,g' \
       "${S}/90zfs/$1" > ${D}usr/lib64/dracut/modules.d/90zfs/${1%.in}
}

src_install() {
	dodir /usr/lib64/dracut/modules.d/90zfs
	for f in $(ls ${S}/90zfs/*.in) ;  do
		conf ${f##/*/}
	done
#    dodoc README.dracut.markdown
}
